> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capa.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Receiver

Disables (soft-deletes) a receiver. The receiver will no longer be available for new transactions, but existing transactions are not affected.

***

## Error Codes

### Common Errors

| HTTP Status | Code                   | Message                            |
| ----------- | ---------------------- | ---------------------------------- |
| 401         | `UNAUTHORIZED`         | "API Key is missing"               |
| 401         | `UNAUTHORIZED`         | "Invalid API Key format"           |
| 401         | `UNAUTHORIZED`         | "Invalid API Key"                  |
| 403         | `INVALID_PARTNER_FLOW` | "The partner has an invalid flow." |

### User Ownership Errors

| HTTP Status | Code           | Message                                              |
| ----------- | -------------- | ---------------------------------------------------- |
| 401         | `UNAUTHORIZED` | "Partner information is required for this operation" |
| 401         | `UNAUTHORIZED` | "User is not associated with the partner"            |

### Endpoint-Specific Errors

| HTTP Status | Code                        | Message                                               |
| ----------- | --------------------------- | ----------------------------------------------------- |
| 403         | `RECEIVER_ACCESS_FORBIDDEN` | "You do not have permission to delete this receiver." |
| 500         | `RECEIVER_DELETION_FAILED`  | "Failed to delete receiver. Please try again later."  |


## OpenAPI

````yaml reference/openapi/ReceiverPartnerControllerV2_deleteReceiver.json DELETE /api/partner/v2/receivers/{receiverId}
openapi: 3.0.0
info:
  title: Capa Partner API - V2
  description: >-
    Partner API for integrating cryptocurrency on-ramp and off-ramp services
    using Capa's infrastructure. Enable your users to seamlessly convert between
    fiat and crypto.
  version: v2
  contact: {}
servers:
  - url: https://staging-api.capa.fi
  - url: https://production-api.capa.fi
security: []
paths:
  /api/partner/v2/receivers/{receiverId}:
    delete:
      tags:
        - receivers
      operationId: ReceiverPartnerControllerV2_deleteReceiver
      parameters:
        - name: receiverId
          required: true
          in: path
          description: Receiver ID
          schema:
            type: string
        - name: userId
          required: true
          in: query
          description: User ID who owns this receiver (for authorization)
          schema:
            example: 550e8400-e29b-41d4-a716-446655440000
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                userId:
                  type: string
                  description: User ID who owns this receiver (for authorization)
                  example: 550e8400-e29b-41d4-a716-446655440000
              required:
                - userId
              x-readme-ref-name: DeleteReceiverPartnerBody
      responses:
        '200':
          description: Receiver deleted (soft delete) successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Receiver identifier
                      disabled:
                        type: boolean
                        description: Receiver is now disabled
                        example: true
                    required:
                      - id
                      - disabled
                    x-readme-ref-name: DeleteReceiverHttpResponse
              example:
                success: true
                data:
                  id: string
                  disabled: true
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                code: REQUIRED_USER_ID_ERROR
                message: This endpoint requires a user id to be provided
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                UNAUTHORIZED:
                  value:
                    success: false
                    code: UNAUTHORIZED
                    message: API Key is missing
                UNAUTHORIZED_2:
                  value:
                    success: false
                    code: UNAUTHORIZED
                    message: Invalid API Key format
                UNAUTHORIZED_3:
                  value:
                    success: false
                    code: UNAUTHORIZED
                    message: Invalid API Key
                UNAUTHORIZED_4:
                  value:
                    success: false
                    code: UNAUTHORIZED
                    message: Partner information is required for this operation
                UNAUTHORIZED_5:
                  value:
                    success: false
                    code: UNAUTHORIZED
                    message: User is not associated with the partner
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                USER_NOT_VERIFIED_ERROR:
                  value:
                    success: false
                    code: USER_NOT_VERIFIED_ERROR
                    message: >-
                      User is not allowed to perform the operations because has
                      not completed the KYC verification.
                RECEIVER_ACCESS_FORBIDDEN:
                  value:
                    success: false
                    code: RECEIVER_ACCESS_FORBIDDEN
                    message: You do not have permission to delete this receiver.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                success: false
                code: INTERNAL_SERVER_ERROR
                message: Internal server error
      security:
        - PartnerApiKey: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        code:
          type: string
          description: Machine-readable error code.
        message:
          type: string
          description: Human-readable error message.
        errors:
          type: array
          description: Optional per-field validation details.
          items:
            type: object
            properties:
              field:
                type: string
              message:
                type: string
      required:
        - success
        - code
        - message
  securitySchemes:
    PartnerApiKey:
      type: apiKey
      in: header
      name: partner-api-key
      description: API key for the affiliated partner performing the request.

````